# Drastically Reduced YAML / JSON Query

Tiny package providing a module with a part of
`yq` or `jq` functionality:

-   get a single value from a YAML or JSON file
-   change a single value in a YAML or JSON file


## Requirements

[PyYAML](https://pypi.org/project/PyYAML/)


## Installation

```
pip install dryjq
```

Installation in a virtual environment or with the `--user` option is recommended.


## Usage

```
usage: dryjq [-h] [-v] [-q] [--version] [--modify-in-place] [-of {JSON,YAML}]
             [-oi {2,4,8}] [-osk]
             [query] [input_file]

Drastically Reduced YAML / JSON Query

positional arguments:
  query                 The query (simplest form of yq/jq syntax, default is
                        '.').
  input_file            The input file name. By default, data will be read
                        from standard input.

options:
  -h, --help            show this help message and exit
  -v, --verbose         output all messages including debug level
  -q, --quiet           limit message output to warnings and errors
  --version             print version and exit
  --modify-in-place     Modify the input file in place instead of writing the
                        result to standard output.

Output options:
  control how output will be formatted

  -of {JSON,YAML}, --output-format {JSON,YAML}
                        File format. By default, the detected input format is
                        used.
  -oi {2,4,8}, --output-indent {2,4,8}
                        Indentation depth of blocks, in spaces (default: 2).
  -osk, --output-sort-keys
                        Sort mapping keys. By default, mapping keys are left
                        in input order.
```

## Issues, feature requests

Please open an issue [here](https://gitlab.com/blackstream-x/python-dryjq/-/issues)
if you found a bug or have a feature suggestion.

